Summary: A strongly typed computer algebra system
Name: Mathemagix
Version: 0.1.12
Release: 1
Url: http://www.mathemagix.org
Source: ftp://ftp.mathemagix.org/pub/Mathemagix/Mathemagix-%{version}-src.tar.gz
License: GNU GPL 2.0
Packager: Joris van der Hoeven <vdhoeven@mathemagix.org>
Distribution: GNU/Linux
Vendor: Jo the ripper software
Group: Development/Languages
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description

Mathemagix is a strongly typed computer algebra system.
It consists of a powerful interpreted language (strongly typing,
generic data structures, continuations, etc.) and a mechanism
to glue extern C and C++ libraries to the system (default bindings
exist for Gmp, Synaps, Linbox). The system can be used interactively
inside a shell or inside GNU TeXmacs. The language has been designed
in such a way that a fast compiler can be written in the future.

%prep
%setup -q -n Mathemagix-%{version}-src

%build
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%{_bindir}/mmx-shell
%doc %{_mandir}/*/*
%{_datadir}/Mathemagix-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Sun May 11 2003   Joris van der Hoeven <vdhoeven@mathemagix.org>
- 0.1.12 First spec file. FIXME: should add Buildrequires for gc
