
/******************************************************************************
* MODULE     : conv_unand.cc
* DESCRIPTION: Choose type in overloaded type
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <evaluator.hh>
#include <mm_int.hh>

generic
evaluator_rep::evaluate_conv_unand (generic g) {
  generic fun= evaluate (g[1]);
  if (gentype (fun) == MM_EXCEPTION_TYPE) return fun;
  return (fun [as_mm_int (g[2])->i]);
}
