
/******************************************************************************
* MODULE     : conv_uncross.cc
* DESCRIPTION: Select an argument in a Cross instance
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <evaluator.hh>
#include <mm_int.hh>

generic
evaluator_rep::evaluate_conv_uncross (generic g) {
  generic res= evaluate (g[1]);
  if (gentype (res) == MM_EXCEPTION_TYPE) return res;
  return (res [as_mm_int (g[2])->i]);
}
