
/******************************************************************************
* MODULE     : keyw_if.cc
* DESCRIPTION: The 'if' keyword
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <evaluator.hh>
#include <mm_int.hh>

generic
evaluator_rep::evaluate_if (generic g) {
  generic cond= evaluate_as (g[1], MM_BOOL);
  if (gentype (cond) != VALUE_TYPE) return cond;
  if (as_mm_int (as_value (cond) -> val) -> i)
    return evaluate (g[2]);
  else if (N(g) == 4)
    return evaluate (g[3]);
  else return VAL_VOID;
}
