
/******************************************************************************
* MODULE     : keyw_lambda.cc
* DESCRIPTION: The 'lambda' keyword
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <evaluator.hh>

generic
evaluator_rep::evaluate_lambda (generic g) {
  generic dom = cons (MM_CROSS, flatten_types (as_list (g[1])));
  generic type= list (MM_FUNCTION, dom, g[2]);
  generic lamb= cons (car (g), env, cdr (as_list (g)));
  return value (lamb, type);
}
