
/******************************************************************************
* MODULE     : keyword.cc
* DESCRIPTION: Mathemagix keywords with a unique type
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <keyword.hh>

/******************************************************************************
* Routines for the generic type
******************************************************************************/

ostream&
operator << (ostream& out, keyword val) {
  out << "keyword<" << val->name << ">";
  return out;
}

int
keyword_rep::Type () {
  return KEYWORD_TYPE;
}

void
keyword_rep::Print (ostream& out) {
  out << keyword (this);
}
