
/******************************************************************************
* MODULE     : error.hh
* DESCRIPTION: Errors and warnings
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#ifndef __ERROR_HH
#define __ERROR_HH
#include <mm_string.hh>
#include <symbol.hh>
#include <list.hh>

void  print_error_location (ostream& out, generic src);
void  print_error_source (ostream& out, generic src);
void  print_errors (list l);

generic std_error (mm_string message, generic src);
generic std_warning (mm_string message, generic src);

#endif // __ERROR_HH
