
/******************************************************************************
* MODULE     : keyw_begin.cc
* DESCRIPTION: Sequences of instructions
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <evaluator.hh>

generic
evaluator_rep::evaluate_begin (generic g) {
  list l= cdr (as_list (g));
  while (!nil (l)) {
    generic res= evaluate (car (l));
    if (res != VAL_VOID) return res;
    l= cdr (l);
  }
  return VAL_VOID;
}
