
/******************************************************************************
* MODULE     : evaluator.cc
* DESCRIPTION: The mathemagix evaluator type
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <evaluator.hh>

/******************************************************************************
* Routines for the generic type
******************************************************************************/

ostream&
operator << (ostream& out, evaluator con) {
  out << "evaluator<" << con->env << ">";
  return out;
}

int
evaluator_rep::Type () {
  return EVALUATOR_TYPE;
}

void
evaluator_rep::Print (ostream& out) {
  out << evaluator (this);
}
