
/******************************************************************************
* MODULE     : mm_exception.cc
* DESCRIPTION: Mathemagix exceptions with a unique type
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <mm_exception.hh>

/******************************************************************************
* Routines for the generic type
******************************************************************************/

ostream&
operator << (ostream& out, mm_exception exc) {
  out << "mm_exception<" << exc->where << ","
      << exc->val << "," << exc->type << ">";
  return out;
}

int
mm_exception_rep::Type () {
  return MM_EXCEPTION_TYPE;
}

void
mm_exception_rep::Print (ostream& out) {
  out << mm_exception (this);
}
