
/******************************************************************************
* MODULE     : file_test.cc
* DESCRIPTION: Test reading files
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <file.hh>

int
main (int argc, char** argv) {
  int i;
  mm_string s;
  for (i=1; i<argc; i++) {
    cout << "Print " << argv[i] << "\n";
    cout << "--------------------------------------------------------------\n";
    if (load (argv[i], s)) cout << "Couldn't open file\n";
    else cout << s << "\n";
    cout << "--------------------------------------------------------------\n";
  }
  return 0;
}
